## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABaseEvent

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, Event, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  SybaseASABaseEventImpl, SybaseASACatalogBaseEvent

    public interface SybaseASABaseEvent

extends Event

A representation of the model object 'Sybase ASA Base Event'.

The following features are supported:

- `Event Type`
- `Event Creator`
- `Location`
- `Schedules`
- `Condition Details`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent()`

Method Summary
`org.eclipse.emf.common.util.EList` `getConditionDetails()` Returns the value of the 'Condition Details' containment reference list.
`Schema` `getEventCreator()` Returns the value of the 'Event Creator' reference.
`EventType` `getEventType()` Returns the value of the 'Event Type' attribute.
`EventLocationType` `getLocation()` Returns the value of the 'Location' attribute.
`org.eclipse.emf.common.util.EList` `getSchedules()` Returns the value of the 'Schedules' containment reference list.
`void` `setEventCreator(Schema value)` Sets the value of the '`Event Creator`' reference.
`void` `setEventType(EventType value)` Sets the value of the '`Event Type`' attribute.
`void` `setLocation(EventLocationType value)` Sets the value of the '`Location`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.Event
`getAction, getCondition, getDatabase, getFor, isEnabled, setAction, setCondition, setDatabase, setEnabled, setFor`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEventCreator

    Schema getEventCreator()

  Returns the value of the 'Event Creator' reference.

  If the meaning of the 'Event Creator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Event Creator' reference.
  See Also:
    `setEventCreator(Schema)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent_EventCreator()`

### setEventCreator

    void setEventCreator(Schema value)

  Sets the value of the '`Event Creator`' reference.

  Parameters:
    `value` - the new value of the 'Event Creator' reference.
  See Also:
    `getEventCreator()`

### getLocation

    EventLocationType getLocation()

  Returns the value of the 'Location' attribute. The literals are from the enumeration `EventLocationType`.

  If the meaning of the 'Location' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Location' attribute.
  See Also:
    `EventLocationType`, `setLocation(EventLocationType)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent_Location()`

### setLocation

    void setLocation(EventLocationType value)

  Sets the value of the '`Location`' attribute.

  Parameters:
    `value` - the new value of the 'Location' attribute.
  See Also:
    `EventLocationType`, `getLocation()`

### getSchedules

    org.eclipse.emf.common.util.EList getSchedules()

  Returns the value of the 'Schedules' containment reference list. The list contents are of type `Schedule`. It is bidirectional and its opposite is '`Event`'.

  If the meaning of the 'Schedules' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schedules' containment reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent_Schedules()`, `Schedule.getEvent()`

### getConditionDetails

    org.eclipse.emf.common.util.EList getConditionDetails()

  Returns the value of the 'Condition Details' containment reference list. The list contents are of type `EventCondition`. It is bidirectional and its opposite is '`Event`'. Contains the details of the condition statement. See `condition`. This feature is not guaranteed to be set even when `condition` contains value.

  Returns:
    the value of the 'Condition Details' containment reference list.
  See Also:
    `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent_ConditionDetails()`, `EventCondition.getEvent()`

### getEventType

    EventType getEventType()

  Returns the value of the 'Event Type' attribute. The literals are from the enumeration `EventType`.

  If the meaning of the 'Event Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Event Type' attribute.
  See Also:
    `EventType`, `setEventType(EventType)`, `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent_EventType()`

### setEventType

    void setEventType(EventType value)

  Sets the value of the '`Event Type`' attribute.

  Parameters:
    `value` - the new value of the 'Event Type' attribute.
  See Also:
    `EventType`, `getEventType()`